Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Downloaded applications

Regular Contributor
Posts: 59
Registered: ‎02-10-2012
My Device: Bold 9790
My Carrier: Orange


Running version 7 on a 9790.  When I attempt to buy/install the full versions of apps recently trialled I get "the preapproval key cant be used before the start date of after the end date Error ID 579024"


One app got back to me admitting their's was not compatible with version 7 and I am still awaiting a reply from another & BB!  Surely app providers need to state clearly which versions their's is compatible with?

Hall of Famer II
Posts: 54,978
Registered: ‎11-28-2008
My Device: Z10/Z30/Q10 (, Playbook (
My Carrier: TMobile USA

Re: Apps

Hi and Welcome to the Community!


While I don't find that exact error message in the public KBs, everything I do find indicates that this has to do with the required Pre-Approval transaction for using PayPal as the payment method for AppWorld. Perhaps that has expired? If so, you would likely need to delete it (on PayPal) and then re-create it (in AppWorld) to again use PayPal as your payment method. Note however that this is purely a guess...as I find nothing directly on point to what you report...

  • KB31583 BlackBerry App World storefront users with PayPal setup as the payment method receive an email stating "Your preapproved payments plan is expiring soon"

Good luck and let us know!

Occam's Razor nearly always applies when troubleshooting technology issues!

New to the Community? click here and also here. Please click here for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions. If anyone has been helpful to you, please show your appreciation by clicking the button.